Package org.apache.felix.hc.core.impl.scheduling.cron.embedded

## Class EmbeddedCronScheduler

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.cron.embedded.EmbeddedCronScheduler

All Implemented Interfaces:
  `Runnable`

    public final class EmbeddedCronScheduler
    extends Object
    implements Runnable

### Field Summary

Fields
`ScheduledExecutorService` `scheduledExecutorService`

### Constructor Summary

Constructors
`EmbeddedCronScheduler​(ScheduledExecutorService scheduledExecutorService, long initialDelay, long checkInterval, TimeUnit timeUnit, String schedulerThreadName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `remove​(AsyncEmbeddedCronJob cronJob)`
`void` `run()`
`void` `schedule​(AsyncEmbeddedCronJob cronJob)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scheduledExecutorService

    public final ScheduledExecutorService scheduledExecutorService

### Constructor Detail

#### EmbeddedCronScheduler

    public EmbeddedCronScheduler​(ScheduledExecutorService scheduledExecutorService,
                                 long initialDelay,
                                 long checkInterval,
                                 TimeUnit timeUnit,
                                 String schedulerThreadName)

### Method Detail

#### schedule

    public void schedule​(AsyncEmbeddedCronJob cronJob)

#### remove

    public void remove​(AsyncEmbeddedCronJob cronJob)

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`